summaryrefslogtreecommitdiffstats
path: root/test/units/TEST-31-DEVICE-ENUMERATION.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:40 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:40 +0000
commitfc53809803cd2bc2434e312b19a18fa36776da12 (patch)
treeb4b43bd6538f51965ce32856e9c053d0f90919c8 /test/units/TEST-31-DEVICE-ENUMERATION.sh
parentAdding upstream version 255.5. (diff)
downloadsystemd-fc53809803cd2bc2434e312b19a18fa36776da12.tar.xz
systemd-fc53809803cd2bc2434e312b19a18fa36776da12.zip
Adding upstream version 256.upstream/256
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/units/TEST-31-DEVICE-ENUMERATION.sh')
-rwxr-xr-xtest/units/TEST-31-DEVICE-ENUMERATION.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/units/TEST-31-DEVICE-ENUMERATION.sh b/test/units/TEST-31-DEVICE-ENUMERATION.sh
new file mode 100755
index 0000000..5e99302
--- /dev/null
+++ b/test/units/TEST-31-DEVICE-ENUMERATION.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -eux
+set -o pipefail
+
+if journalctl -b -t systemd --grep '(?<!loop.|diskseq-.)\.device: Changed plugged -> dead'; then
+ exit 1
+fi
+
+touch /testok